# ApplicationFramework
PTKernel
DBC

# DBC_VArrayNodeOfVArrayOfCharacter Class Reference

`#include <DBC_VArrayNodeOfVArrayOfCharacter.hxx>`

Inheritance diagram for DBC_VArrayNodeOfVArrayOfCharacter:

[legend]

## Public Member Functions

Standard_EXPORT | DBC_VArrayNodeOfVArrayOfCharacter ()
Standard_EXPORT | DBC_VArrayNodeOfVArrayOfCharacter (const Standard_Character &aValue)
Standard_EXPORT void | SetValue (const Standard_Character &aValue)
Standard_EXPORT Standard_Address | Value () const
| DBC_VArrayNodeOfVArrayOfCharacter (const Storage_stCONSTclCOM &a)
Standard_Character | _CSFDB_GetDBC_VArrayNodeOfVArrayOfCharactermyValue () const
void | _CSFDB_SetDBC_VArrayNodeOfVArrayOfCharactermyValue (const Standard_Character p)
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Standard_Character | myValue

## Constructor & Destructor Documentation

Standard_EXPORT DBC_VArrayNodeOfVArrayOfCharacter::DBC_VArrayNodeOfVArrayOfCharacter | ( |  | ) |

Standard_EXPORT DBC_VArrayNodeOfVArrayOfCharacter::DBC_VArrayNodeOfVArrayOfCharacter | ( | const Standard_Character & | aValue | ) |

DBC_VArrayNodeOfVArrayOfCharacter::DBC_VArrayNodeOfVArrayOfCharacter | ( | const Storage_stCONSTclCOM & | a | ) | `[inline]`

## Member Function Documentation

Standard_Character DBC_VArrayNodeOfVArrayOfCharacter::_CSFDB_GetDBC_VArrayNodeOfVArrayOfCharactermyValue | ( |  | ) | const`[inline]`

void DBC_VArrayNodeOfVArrayOfCharacter::_CSFDB_SetDBC_VArrayNodeOfVArrayOfCharactermyValue | ( | const Standard_Character | p | ) | `[inline]`

Standard_EXPORT const DBC_VArrayNodeOfVArrayOfCharacter::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from PStandard_ArrayNode.

Standard_EXPORT void DBC_VArrayNodeOfVArrayOfCharacter::SetValue | ( | const Standard_Character & | aValue | ) |

Standard_EXPORT Standard_Address DBC_VArrayNodeOfVArrayOfCharacter::Value | ( |  | ) | const

## Field Documentation

Standard_Character DBC_VArrayNodeOfVArrayOfCharacter::myValue `[private]`

The documentation for this class was generated from the following file:

- DBC_VArrayNodeOfVArrayOfCharacter.hxx